      PROGRAM          GANLIB
      IMPLICIT         NONE
      INTEGER          NMODXT,   MAXENT
      PARAMETER      ( NMODXT=1, MAXENT=64 )
      CHARACTER*12     CMODXT(NMODXT),HENTRY(MAXENT)
      INTEGER          IENTRY(MAXENT),JENTRY(MAXENT),KENTRY(MAXENT)
*
* LOCAL STORAGE
      INTEGER          IMODUL,NENTRY,ILEVEL,IPRINT
*
* GAN-2000 PARAMETERS
      INTEGER          CLECST
      EXTERNAL         CLECST
      INTEGER          KERNEL
*
* BLANK COMMON FOR DYNAMIC ALLOCATION IN F-77
      INTEGER          IBASE(1)
      REAL             RBASE
      COMMON           RBASE(1)
      EQUIVALENCE     (RBASE(1),IBASE(1))
*
      DATA CMODXT / '            ' /
*
      ILEVEL= 0
      IPRINT= 0
   10 CONTINUE
         IMODUL= KERNEL(CMODXT,NMODXT,ILEVEL,MAXENT,
     1                  CLECST,IPRINT,
     2                  NENTRY,HENTRY,IENTRY,JENTRY,KENTRY)
*
*        IS THE RUN FINISHED ?
         IF( ILEVEL.EQ.0 ) GO TO 666
*
*        NO -> CALL THE APPROPRIATE CODE MODULE
         IF(     IMODUL.EQ. 1 )THEN
            CALL XABORT('GANLIB: BLANK MODULE DOES NOT EXIST')
         ELSE
            WRITE(6,*) 'KERNEL ERROR CODE=',IMODUL
            CALL XABORT('GANLIB: KERNEL ERROR')
         ENDIF
      GO TO 10
  666 STOP
      END
