*DECK LOCF
#if defined(MVS)
LOCF     TITLE '+ + + + +   R E T U R N   T H E   F I R S T   W O R D  X
                A D D R E S S .   + + + + +'
         SPACE 5
***********************************************************************
*                                                                     *
*                           L O C F                                   *
*                           - - - -                                   *
*                                                                     *
*        CETTE ROUTINE EST UNE FONCTION FORTRAN QUI RETOURNE          *
*        L'ADRESSE POINTANT AU DEBUT DU MOT WORD.                     *
*                           IRC=LOCF(WORD)                            *
*                                                                     *
***********************************************************************
         SPACE 3
R0       EQU   0
R1       EQU   1
R14      EQU   14
         SPACE 3
LOCF     AMODE 31
LOCF     RMODE ANY
LOCF     CSECT
         L     R0,0(R1)                + R0=ADRESSE DE WORD
         BR    14                      + RETOUR AU CALLER
         END
#elif defined(SunOS) || defined(AIX) || defined(CRAY) || defined(IRIX) || defined(absoft) || defined(g95)
      FUNCTION LOCF(DATA)
*
*-----------------------------------------------------------------------
*
* THIS FUNCTION RETURN THE ADDRESS OF DATA ON SOLARIS, AIX OR CRAY
* SYSTEMS.
*
*-----------------------------------------------------------------------
*
      LOCF=LOC(DATA)
      RETURN
      END
#elif defined(OSF1)
      INTEGER*8 FUNCTION LOCF(DATA)
*
*-----------------------------------------------------------------------
*
* THIS FUNCTION RETURN THE ADDRESS OF DATA ON ALPHA OSF/1 SYSTEMS.
*
*-----------------------------------------------------------------------
*
      LOCF=%LOC(DATA)
      RETURN
      END
#else
      FUNCTION LOCF(DATA)
*
*-----------------------------------------------------------------------
*
* THIS FUNCTION RETURN THE ADDRESS OF DATA.
*
*-----------------------------------------------------------------------
*
      LOCF=%LOC(DATA)
      RETURN
      END
#endif
