*DECK TABKI
      FUNCTION TABKI(L,X)
*
*-----------------------------------------------------------------------
*
* COMPUTES BICKLEY FUNCTION FROM QUADRATIC TABLES.
*
*    L  : ORDER OF THE BICKLEY FUNCTION.
*    X  : ARGUMENT.
*
*-----------------------------------------------------------------------
*
      PARAMETER (MKI1=600,MKI2=600,MKI3=600,MKI4=600,MKI5=600)
      COMMON /BICKL1/BI1(0:MKI1),BI11(0:MKI1),BI12(0:MKI1),PAS1,XLIM1,L1
      COMMON /BICKL2/BI2(0:MKI2),BI21(0:MKI2),BI22(0:MKI2),PAS2,XLIM2,L2
      COMMON /BICKL3/BI3(0:MKI3),BI31(0:MKI3),BI32(0:MKI3),PAS3,XLIM3,L3
      COMMON /BICKL4/BI4(0:MKI4),BI41(0:MKI4),BI42(0:MKI4),PAS4,XLIM4,L4
      COMMON /BICKL5/BI5(0:MKI5),BI51(0:MKI5),BI52(0:MKI5),PAS5,XLIM5,L5
      IF(X.LT.0.0) THEN
        WRITE(6,'(22H INVALID X IN : TABKI(,I1,1H,,E15.6,1H) )') L,X
        WRITE(6,'(22H REPLACED BY  : TABKI(,I1,1H,,E15.6,1H) )') L,0.0
      ENDIF
      Y=MAX(X,0.0)
      IF(L.EQ.1) THEN
        K=MIN(NINT(Y*PAS1),MKI1)
        TABKI=BI1(K)+Y*(BI11(K)+Y*BI12(K))
        IF( K.LT.L1 )THEN
           IF( Y.NE.0. )THEN
              TABKI= TABKI + Y*LOG(Y)
           ENDIF
        ENDIF
      ELSE IF(L.EQ.2) THEN
        K=MIN(NINT(Y*PAS2),MKI2)
        TABKI=BI2(K)+Y*(BI21(K)+Y*BI22(K))
        IF( K.LT.L2 )THEN
           IF( Y.NE.0. )THEN
              TABKI= TABKI - 0.5*Y*Y*LOG(Y)
           ENDIF
        ENDIF
      ELSE IF(L.EQ.3) THEN
        K=MIN(NINT(Y*PAS3),MKI3)
        TABKI=BI3(K)+Y*(BI31(K)+Y*BI32(K))
      ELSE IF(L.EQ.4) THEN
        K=MIN(NINT(Y*PAS4),MKI4)
        TABKI=BI4(K)+Y*(BI41(K)+Y*BI42(K))
      ELSE IF(L.EQ.5) THEN
        K=MIN(NINT(Y*PAS5),MKI5)
        TABKI=BI5(K)+Y*(BI51(K)+Y*BI52(K))
      ELSE
        CALL XABORT('TABKI: L > 5 AND L < 1 ARE INVALID')
      ENDIF
      RETURN
      END
